%global libsuffix yui
%global libname lib%{libsuffix}

Name:		%{libname}-bindings
Version:	1.0.2
Release:	9%{?dist}
Summary:	Language bindings for %{libname}

License:	LGPLv2 or LGPLv3
URL:		https://github.com/%{libname}/%{name}
Source0:	%{url}/archive/%{name}/master/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	%{libname}-devel
BuildRequires:	perl-devel
BuildRequires:	python-devel
BuildRequires:	ruby-devel
BuildRequires:	swig

%description
This package provides Perl, Python and Ruby language bindings to access
functions of %{libname}.
An User Interface engine that provides abstraction from graphical user
interfaces (Qt, Gtk) and text based user interfaces (ncurses).


%package -n ruby-%{libsuffix}
Summary:	Ruby bindings for %{libname}

%description -n ruby-%{libsuffix}
This package provides Ruby language bindings to access functions of
%{libname} - An User Interface engine that provides the abstraction
from graphical user interfaces (Qt, Gtk) and text based user
interfaces (ncurses).


%package -n python-%{libsuffix}
Summary:	Python bindings for %{libname}
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description -n python-%{libsuffix}
This package provides Python language bindings to access functions of
%{libname} - An User Interface engine that provides the abstraction
from graphical user interfaces (Qt, Gtk) and text based user
interfaces (ncurses).


%package -n perl-%{libsuffix}
Summary:	Perl bindings for %{libname}

%description -n perl-%{libsuffix}
This package provides Perl language bindings to access functions of
%{libname} - An User Interface engine that provides the abstraction
from graphical user interfaces (Qt, Gtk) and text based user
interfaces (ncurses).


%prep
%setup -q -n %{name}-%{name}-master-%{version}
ln -f package/%{libname}-bindings.changes ChangeLog


%build
mkdir -p build
cd build
%cmake .. \
	-DLIB=%{_libdir} \
	-DPYTHON_SITEDIR=%{python2_sitearch} \
	-DCMAKE_BUILD_TYPE=RELEASE \
	-DBUILD_RUBY_GEM=no
make %{?_smp_mflags}


%install
cd build
%make_install


%files -n perl-%{libsuffix}
%doc swig/perl/examples
%doc COPYING* ChangeLog
%{perl_vendorarch}/%{libsuffix}.so
%{perl_vendorlib}/%{libsuffix}.pm

%files -n python-%{libsuffix}
%doc swig/python/examples
%doc COPYING* ChangeLog
%{python2_sitearch}/*%{libsuffix}.*

%files -n ruby-%{libsuffix}
%doc swig/ruby/examples
%doc COPYING* ChangeLog
%{ruby_vendorarchdir}/_%{libsuffix}.*


%changelog
* Wed Oct 02 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.2-9
- added "Versioned MODULE_COMPAT_ Requires"

* Wed Oct 02 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.2-8
- adaptions for new Python-guidelines
- use %%{ruby_vendorarchdir} instead of hardcoded path

* Fri Aug 30 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.2-7
- libyui 3.0.10 rebuilt

* Sat Aug 03 2013 Petr Pisar <ppisar@redhat.com> - 1.0.2-6
- Perl 5.18 rebuild

* Sat Jul 27 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.2-5
- include examples in own subdir
- removed hardening flags

* Sat Jul 27 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.2-4
- fix build, removed trailing backslash

* Sat Jul 27 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.2-3
- libyui-3.0.9 rebuilt on all branches
- removed Group-tag

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.0.2-2
- Perl 5.18 rebuild on F20 / rawhide

* Thu Jun 20 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.2-1
- new upstream-version
- copyright changed GPLv2 -> LGPLv2 or LGPLv3 matching libyui* now.
- removed `/usr/bin/env` from hashbang of examples
- adapted Source0 obsoleting %%commit

* Sat May 18 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.1-2
- improved readability: tag ordering

* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.1-1
- Initial RPM release.
